Skip to main content
POST
/
api
/
v2
/
users
/
person
/
document
Add person user document
curl --request POST \
  --url https://sandbox.killb.app/api/v2/users/person/document \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form userId=e8d74b2f-86df-43b0-a9d9-72055a6b0432 \
  --form documentType=CURP \
  --form frontDocument='@example-file' \
  --form backDocument='@example-file'
{
  "errorCode": "API_USER.0001",
  "arguments": [
    {
      "key": "email",
      "value": "[email protected]"
    }
  ],
  "message": [
    "User not found",
    "Account not found"
  ],
  "statusCode": "400"
}

Documentation Index

Fetch the complete documentation index at: https://docs.killb.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

multipart/form-data
userId
string<uuid>
required
Example:

"e8d74b2f-86df-43b0-a9d9-72055a6b0432"

documentType
enum<string>
required
Available options:
PROVE_OF_ADDRESS_BANK_STATEMENT,
PROVE_OF_ADDRESS_UTILITY_BILL,
PROVE_OF_ADDRESS_LEASE_AGREEMENT,
SOURCE_OF_FUNDS_BANK_STATEMENT,
SOURCE_OF_FUNDS_PAYSLIP,
KYC_REPORT,
PASSPORT,
DRIVER_LICENSE,
NUIP,
RFC,
SSN,
CURP,
CPF,
INE,
IFE,
DNI,
DUI,
CHINESE_ID,
BOLIVIAN_ID,
CE
Example:

"CURP"

frontDocument
file
required

Front document file

backDocument
file

Back document file

Response